summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2002-08-29 20:50:19 +0000
committerDan Armak <danarmak@gentoo.org>2002-08-29 20:50:19 +0000
commite4ea6ee6e7f4ffc997323bc9703a4d9b885a41dc (patch)
tree81f97ac475a05ec2c08681a4ea895b1ae706a7a3 /eclass
parentadd missing dep on kdesdk (it needs xml2pot), close #6927 (diff)
downloadhistorical-e4ea6ee6e7f4ffc997323bc9703a4d9b885a41dc.tar.gz
historical-e4ea6ee6e7f4ffc997323bc9703a4d9b885a41dc.tar.bz2
historical-e4ea6ee6e7f4ffc997323bc9703a4d9b885a41dc.zip
disable --enable-final for kde 3.1_beta1; too many things miscompile and ned to have it disabled locally
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde-dist.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/kde-dist.eclass b/eclass/kde-dist.eclass
index bdab952e3d27..2100f9ea75ba 100644
--- a/eclass/kde-dist.eclass
+++ b/eclass/kde-dist.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-dist.eclass,v 1.17 2002/08/23 11:01:37 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-dist.eclass,v 1.18 2002/08/29 20:50:19 danarmak Exp $
# This is the kde-dist eclass for >=2.2.1 kde base packages. Don't use for kdelibs though :-)
# Don't use it for e.g. kdevelop, koffice because of their separate versionnig schemes.
inherit kde-base kde.org
@@ -18,7 +18,7 @@ DESCRIPTION="KDE ${PV} - "
HOMEPAGE="http://www.kde.org/"
# doesn't work well for unstable versions
-[ "$PV" == "3.1_alpha1" -o "$PV" == "5" ] || myconf="$myconf --enable-final"
+[ "$PV" == "3.1_alpha1" -o "$PV" == "3.1_beta1" -o "$PV" == "5" ] || ( myconf="$myconf --enable-final" && einfo "added enable-final" )
LICENSE="GPL-2"